import { z } from "zod";

export const schema = z.object({
    _id: z.string(),
    buildType: z.object({
        _id: z.string(),
        token: z.string(),
        typeToken: z.string(),
        type: z.string(),
    }),
    info: z.object({
        govAddressCode: z.string(),
        buildName: z.string(),
        buildNo: z.string(),
        maxFloor: z.number(),
        undergroundFloor: z.number(),
        buildDate: z.string(),
        decisionPeriodDate: z.string(),
        taxNo: z.string(),
        liftCount: z.number(),
        heatingSystem: z.boolean(),
        coolingSystem: z.boolean(),
        hotWaterSystem: z.boolean(),
        blockServiceManCount: z.number(),
        securityServiceManCount: z.number(),
        garageCount: z.number(),
        managementRoomId: z.number(),
    }),
});

export type schemaType = z.infer<typeof schema>;
